﻿<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
    @ButtonText
</button>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">@ModalTitle</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                @ChildContent
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">@CloseButtonText</button>
                @if (IsOkButtonSubmitType)
                {
                    <button type="submit" class="btn btn-primary" form="@FormId">@OkButtonText</button>
                }
                else
                {
                    <button type="button" class="btn btn-primary">@OkButtonText</button>
                }
            </div>
        </div>
    </div>
</div>